<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.xml" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.xml.ModelerXmlPlugin">

   <runtime>
      <library name="modelerXml_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerXml.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="com.metamatrix.metamodels.xml" export="true"/>
      <import plugin="com.metamatrix.metamodels.xsd" export="true"/>
      <import plugin="com.metamatrix.modeler.mapping" export="true"/>
      <import plugin="com.metamatrix.modeler.core" export="true"/>
      <import plugin="com.metamatrix.query"/>
      <import plugin="com.metamatrix.metamodels.transformation"/>
   </requires>


   <!-- MetamodelAspect extensions -->
   <extension id="xmlSqlAspect" point="com.metamatrix.modeler.core.sqlAspect">
      <metamodelExtensionID>
         xmldoc
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.modeler.internal.xml.aspects.sql.XmlSqlAspectFactory">
      </factoryClass>
   </extension>
   <!-- Extension for Tree-Based Model To Relational Model Mapper (com.metamatrix.modeler.mapping.ui.ITreeToRelationalMapper) -->
   <extension id="xmlModelMapper" name="%xmlMapperName"
              point="com.metamatrix.modeler.mapping.modelMapper">
      <class name="com.metamatrix.modeler.internal.xml.factory.XmlFragmentMapper"
             metamodelUri="http://www.metamatrix.com/metamodels/XmlDocument">
      </class>
   </extension>
   <!-- Extension for Choice Object Handler -->
   <extension id="xmlChoiceObjectHandler" name="%xmlChoiceObjectHandlerName"
              point="com.metamatrix.modeler.mapping.choiceObjectHandler">
      <class factoryClass="com.metamatrix.modeler.internal.xml.choice.XmlChoiceFactory">
      </class>
   </extension>

</plugin>